Subject: bug#60104: Hiccups installing GNU Guix 1.4.0rc2 system

From: "J. Sims" <[email-masked]>
Date: Thu, 15 Dec 2022 21:24:19 +0000

Hey there,

I managed to successfully install the GNU Guix 1.4.0rc2 system iso on an HP Dev One laptop (with help from USB stuff for networking). Everything mostly went as expected, except after the installation I got a screen saying crypttab couldn't find a specific partition. I assume this was something left over from a previous OS installation since wiping the partitions with cfdisk and then installing worked fine. Note that while my initial install attempts did use encryption, the final (successful) one did not; I don't think this has any effect one way or the other on the viability of installation since I ran into the same issue both with and without an encrypted Guix installation before wiping the partitions.

Hopefully it should be simple enough to just completely rewrite the partition table during installation and sidestep this issue.

Thanks,
Juli